/*
CVE Services API

The CVE Services API supports automation tooling for the CVE Program. Credentials are     required for most service endpoints. Representatives of     <a href='https://www.cve.org/ProgramOrganization/CNAs'>CVE Numbering Authorities (CNAs)</a> should     use one of the methods below to obtain credentials:    <ul><li>If your organization already has an Organizational Administrator (OA) account for the CVE     Services, ask your admin for credentials</li>     <li>Contact your Root (<a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/Google'>Google</a>,     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/INCIBE'>INCIBE</a>,     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/jpcert'>JPCERT/CC</a>, or     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/redhat'>Red Hat</a>) or     Top-Level Root (<a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/icscert'>CISA ICS</a>     or <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/mitre'>MITRE</a>) to request credentials     </ul>     <p>CVE data is to be in the JSON 5.0 CVE Record format. Details of the JSON 5.0 schema are     located <a href='https://github.com/CVEProject/cve-schema/tree/master/schema/v5.0' target='_blank'>here</a>.</p>    <a href='https://cveform.mitre.org/' class='link' target='_blank'>Contact the CVE Services team</a>

API version: 2.1.4
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package cveapi

import (
	"encoding/json"
)

// checks if the GetCveRecordResponseContainersCnaProviderMetadata type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &GetCveRecordResponseContainersCnaProviderMetadata{}

// GetCveRecordResponseContainersCnaProviderMetadata struct for GetCveRecordResponseContainersCnaProviderMetadata
type GetCveRecordResponseContainersCnaProviderMetadata struct {
	OrgId *string `json:"orgId,omitempty"`
}

// NewGetCveRecordResponseContainersCnaProviderMetadata instantiates a new GetCveRecordResponseContainersCnaProviderMetadata object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewGetCveRecordResponseContainersCnaProviderMetadata() *GetCveRecordResponseContainersCnaProviderMetadata {
	this := GetCveRecordResponseContainersCnaProviderMetadata{}
	return &this
}

// NewGetCveRecordResponseContainersCnaProviderMetadataWithDefaults instantiates a new GetCveRecordResponseContainersCnaProviderMetadata object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewGetCveRecordResponseContainersCnaProviderMetadataWithDefaults() *GetCveRecordResponseContainersCnaProviderMetadata {
	this := GetCveRecordResponseContainersCnaProviderMetadata{}
	return &this
}

// GetOrgId returns the OrgId field value if set, zero value otherwise.
func (o *GetCveRecordResponseContainersCnaProviderMetadata) GetOrgId() string {
	if o == nil || IsNil(o.OrgId) {
		var ret string
		return ret
	}
	return *o.OrgId
}

// GetOrgIdOk returns a tuple with the OrgId field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *GetCveRecordResponseContainersCnaProviderMetadata) GetOrgIdOk() (*string, bool) {
	if o == nil || IsNil(o.OrgId) {
		return nil, false
	}
	return o.OrgId, true
}

// HasOrgId returns a boolean if a field has been set.
func (o *GetCveRecordResponseContainersCnaProviderMetadata) HasOrgId() bool {
	if o != nil && !IsNil(o.OrgId) {
		return true
	}

	return false
}

// SetOrgId gets a reference to the given string and assigns it to the OrgId field.
func (o *GetCveRecordResponseContainersCnaProviderMetadata) SetOrgId(v string) {
	o.OrgId = &v
}

func (o GetCveRecordResponseContainersCnaProviderMetadata) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o GetCveRecordResponseContainersCnaProviderMetadata) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.OrgId) {
		toSerialize["orgId"] = o.OrgId
	}
	return toSerialize, nil
}

type NullableGetCveRecordResponseContainersCnaProviderMetadata struct {
	value *GetCveRecordResponseContainersCnaProviderMetadata
	isSet bool
}

func (v NullableGetCveRecordResponseContainersCnaProviderMetadata) Get() *GetCveRecordResponseContainersCnaProviderMetadata {
	return v.value
}

func (v *NullableGetCveRecordResponseContainersCnaProviderMetadata) Set(val *GetCveRecordResponseContainersCnaProviderMetadata) {
	v.value = val
	v.isSet = true
}

func (v NullableGetCveRecordResponseContainersCnaProviderMetadata) IsSet() bool {
	return v.isSet
}

func (v *NullableGetCveRecordResponseContainersCnaProviderMetadata) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableGetCveRecordResponseContainersCnaProviderMetadata(val *GetCveRecordResponseContainersCnaProviderMetadata) *NullableGetCveRecordResponseContainersCnaProviderMetadata {
	return &NullableGetCveRecordResponseContainersCnaProviderMetadata{value: val, isSet: true}
}

func (v NullableGetCveRecordResponseContainersCnaProviderMetadata) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableGetCveRecordResponseContainersCnaProviderMetadata) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


